## ide-environment-editor ide-environment-editor |

## Functions

GtkWidget * | ide_environment_editor_new ()
IdeEnvironment * | ide_environment_editor_get_environment ()
void | ide_environment_editor_set_environment ()

## Properties

IdeEnvironment * | environment | Read / Write

## Types and Values

#define | IDE_TYPE_ENVIRONMENT_EDITOR
| IdeEnvironmentEditor

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkListBox
                        ╰── IdeEnvironmentEditor

## Implemented Interfaces

IdeEnvironmentEditor implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### ide_environment_editor_new ()

    GtkWidget *
    ide_environment_editor_new (void);

### ide_environment_editor_get_environment ()

    IdeEnvironment *
    ide_environment_editor_get_environment
                                   (IdeEnvironmentEditor *self);

#### Returns

An IdeEnvironment or `NULL`.

[nullable][transfer none]

### ide_environment_editor_set_environment ()

    void
    ide_environment_editor_set_environment
                                   (IdeEnvironmentEditor *self,
                                    IdeEnvironment *environment);

## Types and Values

### IDE_TYPE_ENVIRONMENT_EDITOR

    #define IDE_TYPE_ENVIRONMENT_EDITOR (ide_environment_editor_get_type())

### IdeEnvironmentEditor

    typedef struct _IdeEnvironmentEditor IdeEnvironmentEditor;

## Property Details

### The `“environment”` property

      “environment”              IdeEnvironment *

Environment.

Owner: IdeEnvironmentEditor

Flags: Read / Write